#!/usr/bin/env python3
# -*- coding: latin-1 -*-

import numpy as np
import sympy as sym
import control as ctr
from numpy import array,concatenate,zeros,eye

w0,r0,m,a,s = sym.symbols('w0 r0 m a s')


A = sym.Matrix([[0,1,0,0,0,0], \
    [3*w0**2,0,0,2*w0*r0,0,0], \
    [0,0,0,1,0,0], \
    [0,-2*w0/r0,0,0,0,0], \
    [0,0,0,0,0,1], \
    [0,0,0,0,-w0**2,0]])

B = sym.Matrix([[0,0,0],\
    [1/m,0,0],[0,0,0],\
    [0,1/(m*r0),0],\
    [0,0,0], \
    [0,0,1/(m*r0)]])

C = sym.Matrix([[1,0,0,0,0,0], \
    [0,0,1,0,0,0], \
    [0,0,0,0,1,0]])
D = sym.Matrix(zeros((3,3)))


F = C*(sym.Matrix(s*eye(6)-A)**-1)*B + D
F.simplify()
print(F)

# F = 
# Matrix([[1.0/(m*(s**2 + w0**2)), 2.0*w0/(m*s*(s**2 + w0**2)), 0], \
#     [-2.0*w0/(m*r0*s*(s**2 + w0**2)), 1.0*(1.0*s**2 - 3.0*w0**2)/(m*r0*s**2*(s**2 + w0**2)), 0], \
#         [0, 0, 1.0/(m*r0*(s**2 + w0**2))]])
# G = ss2tf(A,B,C,D)
# print(G)