clear;clc;close all;

%Definio das Variveis
m=0.1; l=0.2; b=0.015; L = 0.2; g=9.81; u = 0;

t=[0:0.001:10]; %tempo de resoluao da EDO
theta0 = [pi/18 pi/6 pi/3];

%Espao linearizado
A = [0 1;-g/L -b/(m*L^2)];
B = [0;1/(m*L^2)];
C = [1 0];
pendul = ss(A,B,C,[]);

for i = 1:length(theta0)
    y0=[theta0(i) 0];    %condio inicial para Y
    [T,Y]=ode23(@pendulo_model,t,y0);
    solutions(:,:,i) = [T,Y];
    [y,t,x] = initial(pendul,[theta0(i) 0],t);
    
    figure(1);
    title('\theta_0 para sistema no linear');
    xlabel('t(s)');ylabel('\theta_0(rad)');
    hold on
    plot(T,Y(:,1),'LineWidth',1.5,'DisplayName',['\theta_0 = \pi/' num2str(theta0(i)^-1*pi)]);

    figure(2);
    title('\omega para sistema no linear')
    xlabel('t(s)');ylabel('\omega(rad/s)');
    hold on
    plot(T,Y(:,2),'LineWidth',1.5,'DisplayName',['\theta_0 = \pi/' num2str(theta0(i)^-1*pi)]);
    
    figure(3);
    title('\theta_0 para sistema linearizado')
    xlabel('t(s)');ylabel('\theta_0(rad)');
    hold on
    plot(t,x(:,1),'LineWidth',1.5,'DisplayName',['\theta_0 = \pi/' num2str(theta0(i)^-1*pi)]);
    
    figure(4);
    title('\omega para sistema linearizado')
    xlabel('t(s)');ylabel('\omega(rad/s)');
    hold on
    plot(t,x(:,2),'LineWidth',1.5,'DisplayName',['\theta_0 = \pi/' num2str(theta0(i)^-1*pi)]);
    
    figure(5);
    title('Erro em \theta_0 para os sistemas')
    xlabel('t(s)');ylabel('\theta_0(rad)');
    hold on
    plot(t,Y(:,1)-x(:,1),'LineWidth',1.5,'DisplayName',['\theta_0 = \pi/' num2str(theta0(i)^-1*pi)]);
    
    figure(6);
    title('Erro em \omega para os sistema')
    xlabel('t(s)');ylabel('\omega(rad/s)');
    hold on
    plot(t,Y(:,2)-x(:,2),'LineWidth',1.5,'DisplayName',['\theta_0 = \pi/' num2str(theta0(i)^-1*pi)]);
    
end

hold off

