#!/usr/bin/env python3
# -*- coding: latin-1 -*-

import numpy as np
import sympy as sym
import control as ctr
from numpy import array,concatenate,zeros,eye
from scipy.linalg import solve_sylvester

#Testa se a Matriz  definida positiva. Se no, retorna 0 por Cholesky (mais economico computacionalmente)
# def is_pd(K):
#         try:
#             np.linalg.cholesky(K)
#             return 1 
#         except np.linalg.linalg.LinAlgError as err:
#             if 'Matrix is not positive definite' in err.message:
#                 return 0
#             else:
#                 raise 

def is_positive_definite(A):    
    return np.all(np.linalg.eigvals(A) > 0)

def is_positive_semidefinite(A):
    return np.all(np.linalg.eigvals(A) >= 0)

def print_pd_results(A):
    print("Auto Valores = \n",np.linalg.eigvals(A))
    if is_positive_definite(A):
        print(" positiva definida \n")
    elif is_positive_semidefinite(A):
        print(" positiva semidefinida \n")
    else:
        print("No  positiva definida ou semidefinida \n")

A1 = array([[2,3,2],[3,1,0],[2,0,2]])
A2 = array([[0,0,-1],[0,0,0],[-1,0,2]])

print('A1 ')
print_pd_results(A1)

print('A2 ')
print_pd_results(A2)